[PATCH] xfs/541: _notrun if the file system can't mount

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]



A file system created without an RT section might not be able to mount
with an rtdev specified if the RT device has a larger LBA size.

Instead of letting the test fail, _notrun it for that case.

Signed-off-by: Christoph Hellwig <hch@xxxxxx>
---
 tests/xfs/541 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/xfs/541 b/tests/xfs/541
index 42bcd95802c5..c8b312fddc92 100755
--- a/tests/xfs/541
+++ b/tests/xfs/541
@@ -26,7 +26,7 @@ _require_scratch
 
 # Format scratch fs with no realtime section.
 SCRATCH_RTDEV="" _scratch_mkfs | _filter_mkfs 2> $tmp.mkfs >> $seqres.full
-_scratch_mount
+_try_scratch_mount || _notrun "Can't mount file system"
 
 # Zoned file systems don't support rtextsize > 1
 _require_xfs_scratch_non_zoned
-- 
2.45.2





[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux